Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 518859 - SELinux is preventing console-kit-dae (consolekit_t) "read write" system_dbusd_t
Summary: SELinux is preventing console-kit-dae (consolekit_t) "read write" system_dbusd_t
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ConsoleKit
Version: 11
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: jmccann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-23 15:45 UTC by faith
Modified: 2015-01-14 23:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-24 15:32:44 UTC
Type: ---


Attachments (Terms of Use)

Description faith 2009-08-23 15:45:21 UTC
Description of problem:  SELinux is preventing console-kit-dae (consolekit_t) "read write" system_dbusd_t


Version-Release number of selected component (if applicable):


How reproducible:  not sure


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Summary:

SELinux is preventing console-kit-dae (consolekit_t) "read write"
system_dbusd_t.

Detailed Description:

SELinux denied access requested by console-kit-dae. It is not expected that this
access is required by console-kit-dae and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                system_u:system_r:consolekit_t:s0-s0:c0.c1023
Target Context                system_u:system_r:system_dbusd_t:s0-s0:c0.c1023
Target Objects                socket [ tcp_socket ]
Source                        console-kit-dae
Source Path                   /usr/sbin/console-kit-daemon
Port                          <Unknown>
Host                          localhost.localdomain
Source RPM Packages           ConsoleKit-0.3.0-8.fc11
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.12-53.fc11
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain 2.6.29.5-191.fc11.i586
                              #1 SMP Tue Jun 16 23:11:39 EDT 2009 i686 i686
Alert Count                   8
First Seen                    Tue 07 Jul 2009 02:15:46 AM EDT
Last Seen                     Tue 14 Jul 2009 12:25:45 PM EDT
Local ID                      4a4f3d12-6ade-419e-b4ff-3267a6caa38d
Line Numbers                  

Raw Audit Messages            

node=localhost.localdomain type=AVC msg=audit(1247588745.427:11): avc:  denied  { read write } for  pid=1707 comm="console-kit-dae" path="socket:[8742]" dev=sockfs ino=8742 scontext=system_u:system_r:consolekit_t:s0-s0:c0.c1023 tcontext=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 tclass=tcp_socket

node=localhost.localdomain type=SYSCALL msg=audit(1247588745.427:11): arch=40000003 syscall=11 success=yes exit=0 a0=9c000f0 a1=9c04620 a2=9bff008 a3=9c02358 items=0 ppid=1706 pid=1707 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="console-kit-dae" exe="/usr/sbin/console-kit-daemon" subj=system_u:system_r:consolekit_t:s0-s0:c0.c1023 key=(null)

Comment 1 faith 2009-09-16 22:55:50 UTC
last seen 8/29 - couldn't have anything to do with continued crashing and rebooting problems?  should I close this bug?  thanks

Comment 2 Daniel Walsh 2009-09-24 15:32:44 UTC
This was fixed by the fix to nss_ldap

Comment 3 faith 2009-09-26 04:03:00 UTC
so do I get that automatically or do I have to key something into terminal to get it, please?
thanks

Comment 4 Daniel Walsh 2009-09-28 20:23:29 UTC
yum update nss_ldap

But you should have it by now if you have been updating.


Note You need to log in before you can comment on or make changes to this bug.